# Copyright (C) 2007-2008 www.stani.be
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see http://www.gnu.org/licenses/


__all__ = ['CONTEXT']


import os
import sys

if __name__ == '__main__':
    sys.path.insert(0, '..')

from lib.context import get_context, join, join_create


CONTEXT = get_context(app_name='phatch', base_source='phatch',
    sys_prefix=sys.prefix)

CONTEXT['app_actionlists_path'] = join(CONTEXT['app_data_path'], 'actionlists')
CONTEXT['app_blender_path'] = join(CONTEXT['app_data_path'], 'blender')
CONTEXT['app_fonts_path'] = join(CONTEXT['app_data_path'], 'fonts')
CONTEXT['app_fonts_cache_path'] = os.path.join(CONTEXT['app_data_path'],
    'fonts.cache')
# data/images
CONTEXT['app_highlights_path'] = join(CONTEXT['app_images_path'], 'highlights')
CONTEXT['app_masks_path'] = join(CONTEXT['app_images_path'], 'masks')

# data/gui
CONTEXT['app_gui_path'] = join(CONTEXT['app_data_path'], 'gui')
CONTEXT['app_preview_path'] = join(CONTEXT['app_gui_path'], 'preview')
CONTEXT['app_preview_perspective_path'] = join(CONTEXT['app_preview_path'],
    'perspective')

# actions
if CONTEXT['distribute'] == 'source':
    CONTEXT['app_actions_path'] = join(CONTEXT['app_source_path'], 'actions')
else:
    CONTEXT['app_actions_path'] = join(CONTEXT['app_data_path'], 'actions')

# user cache paths
CONTEXT['user_fonts_cache_path'] = os.path.join(CONTEXT['user_cache_path'],
    'fonts.cache')
CONTEXT['user_log_path'] = os.path.join(CONTEXT['user_cache_path'], 'log')

# user config paths
CONTEXT['user_settings_path'] = os.path.join(CONTEXT['user_config_path'],
    'settings.py')

# user data paths (warning they will be create if they don't exist)
CONTEXT['user_actions_path'] = join_create(CONTEXT['user_data_path'],
    'actions')
CONTEXT['user_actionlists_path'] = join_create(CONTEXT['user_data_path'],
    'actionlists')
CONTEXT['user_bin_path'] = join_create(CONTEXT['user_data_path'], 'bin')
CONTEXT['user_fonts_path'] = join_create(CONTEXT['user_data_path'], 'fonts')
CONTEXT['user_geek_path'] = os.path.join(CONTEXT['user_data_path'], 'geek.txt')

CONTEXT['user_highlights_path'] = join_create(CONTEXT['user_data_path'],
    'highlights')
CONTEXT['user_masks_path'] = join_create(CONTEXT['user_data_path'], 'masks')
CONTEXT['user_watermarks_path'] = join_create(CONTEXT['user_data_path'],
    'watermarks')


if __name__ == '__main__':
    import pprint
    pprint.pprint(CONTEXT)
